package com.github.tmdb.wrapper;

import java.util.List;
import org.apache.log4j.Logger;
import org.codehaus.jackson.annotate.JsonAnySetter;

import com.github.tmdb.model.Translation;

/**
 *
 * @author Stuart
 */
public class WrapperTranslations {
    /*
     * Logger
     */

    private static final Logger LOGGER = Logger.getLogger(WrapperTranslations.class);
    /*
     * Properties
     */
    private int id;
    private List<Translation> translations;

    //<editor-fold defaultstate="collapsed" desc="Setter methods">
    public void setId(int id) {
        this.id = id;
    }

    public void setTranslations(List<Translation> translations) {
        this.translations = translations;
    }
    //</editor-fold>

    //<editor-fold defaultstate="collapsed" desc="Getter methods">
    public int getId() {
        return id;
    }

    public List<Translation> getTranslations() {
        return translations;
    }
    //</editor-fold>

    /**
     * Handle unknown properties and print a message
     * @param key
     * @param value
     */
    @JsonAnySetter
    public void handleUnknown(String key, Object value) {
        StringBuilder sb = new StringBuilder();
        sb.append("Unknown property: '").append(key);
        sb.append("' value: '").append(value).append("'");
        LOGGER.warn(sb.toString());
    }
}
